none
Update Nuget on Visual Studio 13 RRS feed

  • Question

  • I have a VS13 Project that I would like to include Gdal package, but I get error message that it requires Nuget 3.3 or later. I curently have nuget 2.14 and cannot get a more recent version via update? How do I install latest nuget version?
    Sunday, November 10, 2019 4:42 PM

Answers

  • Hi grdorff,

    Sorry to disturb you.

    Not sure if this is possible for you to solve your issue, I suggest you could use Package Manager Console(PowerShell) and the command line: install-package Gdal –version 1.11.1 to install a lower version of Gdal NuGet Package, because higher version of Gdal NuGet Package needs support of higher version of NuGet Client like the error message said: above 3.3… The Package Manager Console you could open from Tools -> NuGet Package Manager -> Package Manager Console.

    I test in my side and reproduce your issue in Visual Studio 2013. After research, I notice that Gdal NuGet Package needs NuGet Client version 3.3 or above so that it could be installed. So I tried to update NuGet Client to the latest but unfortunately, VS 2013 seems just supports to update it to version 2.12.0, so I fail to install Gdal NuGet Package 2.4 but I find if I change to install a lower version of Gdal it might work like version 1.11.1.

    Any feedback will be expected.

    Best Regards,

    Tianyu


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.




    Tuesday, November 12, 2019 7:59 AM

All replies

  • Hi grdorff,

    Welcome to the MSDN forum.

    VS2013 supports NuGet 2.12 at most, and for the new NuGet version, Microsoft seems to have forgotten about VS2013, and has not released a new NuGet extension for VS2013.

    Also, you can check the extension Gdal, you will find that the Gdal extension was first released in November 2012 and have been released several versions over the years and I suspect that you downloaded the latest version of the Gdal extension which doesn't seem to be compatible with nuget 2.12 version in the old VS2013. 

    >>So the best solution to this issue is to update your VS to get the latest nuget package management tools. We recommend that you can install VS2019. You can download from here:

    https://visualstudio.microsoft.com/downloads/

    Any feedback will be expected.

    Best Regards,

    Perry


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com



    Monday, November 11, 2019 6:42 AM
  • Hi grdorff,

    Sorry to disturb you.

    Not sure if this is possible for you to solve your issue, I suggest you could use Package Manager Console(PowerShell) and the command line: install-package Gdal –version 1.11.1 to install a lower version of Gdal NuGet Package, because higher version of Gdal NuGet Package needs support of higher version of NuGet Client like the error message said: above 3.3… The Package Manager Console you could open from Tools -> NuGet Package Manager -> Package Manager Console.

    I test in my side and reproduce your issue in Visual Studio 2013. After research, I notice that Gdal NuGet Package needs NuGet Client version 3.3 or above so that it could be installed. So I tried to update NuGet Client to the latest but unfortunately, VS 2013 seems just supports to update it to version 2.12.0, so I fail to install Gdal NuGet Package 2.4 but I find if I change to install a lower version of Gdal it might work like version 1.11.1.

    Any feedback will be expected.

    Best Regards,

    Tianyu


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.




    Tuesday, November 12, 2019 7:59 AM
  • Hi grdorff,

    As perry says, the latest nuget version for VS 2013 is 2.1.2, you could confirm it here.

    In addition, the nuget package is similar to a compressed package. You could change the file extension to "zip" or other format, and unzip it, then you could get libraries you need from it. 

    Hope it could help you.

    Best Regards,

    Dylan


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Tuesday, November 12, 2019 9:00 AM